恩山无线论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

搜索
当贝投影
查看: 198|回复: 2

[k2p] 关于K2P固件LEDE 17.01,237176253的帖子怎么添加usb支持

[复制链接]
发表于 2022-5-7 12:55 | 显示全部楼层 |阅读模式
最近开始尝试op固件,试过3个左右的固件,个人感觉237176253这个固件速度很快。不过有几个疑问,关于固件的内核版本。

我看了那个hash beaa2ec就是在lede-17.01分支的最新commit,也就是4.4.194编译出来的,不知道为什么这里的版本却是4.4.177???

我看源里面的软件包也是4.4.194版本,op官网的源基于最新的commit编译的所以所有都是基于194内核的毋庸置疑,所以安装软件包都会报错,因为内核依赖不满足因为版本不对



我想添加usb的支持,只能自己编译,把openwrt/include/kernel-version.mk里面的版本换成177,hash也换掉(根据https://cdn.kernel.org/pub/linux/kernel/v4.x/sha256sums.asc里面的值),然后编译会报错在打补丁的时候。补丁在target/linux/generic/patches-4.4,我看commit每次bump kernel version的时候mk文件和这里面的补丁都会改变,不过不明白补丁是怎么变得,比如最后一个升级版本https://github.com/openwrt/openw ... 891e5f53373dc802038,我实在是不明白那些补丁包是怎么打上去的。

哪位大神能给点思路,如何编译?

还有,那个帖子截图带argon主题,但是固件只有默认简陋的bootstrap主题,需要的可以下这个1.7.0的https://github.com/jerrykuku/luci-theme-argon/tree/v1.7.0,低版本可以适配。

我的恩山、我的无线 The best wifi forum is right here.
发表于 2022-5-8 00:14 | 显示全部楼层
我想在他这个基础上移3.4版本那个花生壳内网版进来也没搞定。
我的恩山、我的无线 The best wifi forum is right here.
发表于 2022-5-8 22:56 来自手机 | 显示全部楼层
加个q974325708,一起探讨下呢
我的恩山、我的无线 The best wifi forum is right here.
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|手机版|小黑屋|Archiver|恩山无线论坛(常州市恩山计算机开发有限公司版权所有) ( 苏ICP备05084872号 )|网站地图

GMT+8, 2022-5-16 12:16

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表